/**
 *  MicroEmulator
 *  Copyright (C) 2006-2007 Bartek Teodorczyk <barteo@barteo.net>
 *  Copyright (C) 2006-2007 Vlad Skarzhevskyy
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2.1 of the License, or (at your option) any later version.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *  @version $Id: BuildVersion.java 1307 2007-07-04 23:09:13Z vlads $
 */
package org.microemu.app.util;

import java.io.IOException;
import java.io.InputStream;
import java.util.Properties;

/**
 * @author vlads
 *
 */
public class BuildVersion {

	public static String getVersion() {
		InputStream is = BuildVersion.class.getResourceAsStream("/META-INF/maven/org.microemu/microemu-javase/pom.properties");
		if (is != null) {
			Properties projectProperties = new Properties();
			try {
				projectProperties.load(is);
				String version = projectProperties.getProperty("version");
				if (version != null) {
					return version;
				}
			} catch (IOException ignore) {
			}
		}
		return "n/a";
	}
}
